xlsx-1.1.2.2: Simple and incomplete Excel file parser/writer

Safe Haskell | Safe-Inferred
Language | Haskell2010

Codec.Xlsx.Types.Internal.ContentTypes

Synopsis

- data CtDefault = CtDefault {
  - dfltExtension :: FilePath
  - dfltContentType :: Text
  }
- data Override = Override {
  - ovrPartName :: FilePath
  - ovrContentType :: Text
  }
- data ContentTypes = ContentTypes {
  - ctDefaults :: Map FilePath Text
  - ctTypes :: Map FilePath Text
  }
- lookup :: FilePath -> ContentTypes -> Maybe Text
- ct :: Text -> Name
- contentTypesNs :: Text

# Documentation

data CtDefault Source #

Constructors

CtDefault |

Fields

- dfltExtension :: FilePath
- dfltContentType :: Text

#### Instances

Instances details

Generic CtDefault Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Associated Types type Rep CtDefault :: Type -> Type Source # Methods from :: CtDefault -> Rep CtDefault x Source # to :: Rep CtDefault x -> CtDefault Source #
Show CtDefault Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Methods showsPrec :: Int -> CtDefault -> ShowS Source # show :: CtDefault -> String Source # showList :: [CtDefault] -> ShowS Source #
Eq CtDefault Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Methods (==) :: CtDefault -> CtDefault -> Bool Source # (/=) :: CtDefault -> CtDefault -> Bool Source #
FromCursor CtDefault Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Methods fromCursor :: Cursor -> [CtDefault] Source #
type Rep CtDefault Source # |

Instance details

Defined in Codec.Xlsx.Types.Internal.ContentTypes

type Rep CtDefault = D1 ('MetaData "CtDefault" "Codec.Xlsx.Types.Internal.ContentTypes" "xlsx-1.1.2.2-DopzEu8STPN4igxHgE9OUe" 'False) (C1 ('MetaCons "CtDefault" 'PrefixI 'True) (S1 ('MetaSel ('Just "dfltExtension") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 FilePath) :*: S1 ('MetaSel ('Just "dfltContentType") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

data Override Source #

Constructors

Override |

Fields

- ovrPartName :: FilePath
- ovrContentType :: Text

#### Instances

Instances details

Generic Override Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Associated Types type Rep Override :: Type -> Type Source # Methods from :: Override -> Rep Override x Source # to :: Rep Override x -> Override Source #
Show Override Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Methods showsPrec :: Int -> Override -> ShowS Source # show :: Override -> String Source # showList :: [Override] -> ShowS Source #
Eq Override Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Methods (==) :: Override -> Override -> Bool Source # (/=) :: Override -> Override -> Bool Source #
FromCursor Override Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Methods fromCursor :: Cursor -> [Override] Source #
type Rep Override Source # |

Instance details

Defined in Codec.Xlsx.Types.Internal.ContentTypes

type Rep Override = D1 ('MetaData "Override" "Codec.Xlsx.Types.Internal.ContentTypes" "xlsx-1.1.2.2-DopzEu8STPN4igxHgE9OUe" 'False) (C1 ('MetaCons "Override" 'PrefixI 'True) (S1 ('MetaSel ('Just "ovrPartName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 FilePath) :*: S1 ('MetaSel ('Just "ovrContentType") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

data ContentTypes Source #

Constructors

ContentTypes |

Fields

- ctDefaults :: Map FilePath Text
- ctTypes :: Map FilePath Text

#### Instances

Instances details

Generic ContentTypes Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Associated Types type Rep ContentTypes :: Type -> Type Source # Methods from :: ContentTypes -> Rep ContentTypes x Source # to :: Rep ContentTypes x -> ContentTypes Source #
Show ContentTypes Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Methods showsPrec :: Int -> ContentTypes -> ShowS Source # show :: ContentTypes -> String Source # showList :: [ContentTypes] -> ShowS Source #
Eq ContentTypes Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Methods (==) :: ContentTypes -> ContentTypes -> Bool Source # (/=) :: ContentTypes -> ContentTypes -> Bool Source #
FromCursor ContentTypes Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.ContentTypes Methods fromCursor :: Cursor -> [ContentTypes] Source #
type Rep ContentTypes Source # |

Instance details

Defined in Codec.Xlsx.Types.Internal.ContentTypes

type Rep ContentTypes = D1 ('MetaData "ContentTypes" "Codec.Xlsx.Types.Internal.ContentTypes" "xlsx-1.1.2.2-DopzEu8STPN4igxHgE9OUe" 'False) (C1 ('MetaCons "ContentTypes" 'PrefixI 'True) (S1 ('MetaSel ('Just "ctDefaults") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Map FilePath Text)) :*: S1 ('MetaSel ('Just "ctTypes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Map FilePath Text))))

lookup :: FilePath -> ContentTypes -> Maybe Text Source #

ct :: Text -> Name Source #

Add package relationship namespace to name

contentTypesNs :: Text Source #